%define xmms_plugindir %(xmms-config --general-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/General)

Summary: Audioscrobbler plugin for XMMS
Name: xmms-scrobbler
Version: 0.3.8.1
Release: 3%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.last.fm/downloads.php
Source: http://www.pipian.com/stuffforchat/xmms-scrobbler-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: xmms >= 1.2.4
BuildRequires: xmms-devel >= 1.2.4, libmusicbrainz-devel >= 2.0.0, curl-devel

%description
This is a audioscrobbler xmms plugin.
Audioscrobbler will send the name of every song you play on your computer
to Last.fm. This effortlessly populates your profile to play radio you like
and make personalised recommendations!

%prep
%setup -q


%build
%configure \
	--disable-bmp-plugin \
	--libdir=%{xmms_plugindir} \

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README README.tags KnownIssues TODO
%{xmms_plugindir}/libxmms_scrobbler.so


%changelog
* Mon Nov 06 2006 Jindrich Novy <jnovy@redhat.com> - 0.3.8.1-3
- rebuild against the new curl

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 0.3.8.1-2
- FE6 Rebuild

* Thu Apr 27 2006 Andreas Thienemann <andreas@bawue.net> 0.3.8.1-1
- Updated to 0.3.8.1

* Thu Apr 27 2006 Andreas Thienemann <andreas@bawue.net> 0.3.8-1
- Updated to 0.3.8

* Thu Apr 27 2006 Andreas Thienemann <andreas@bawue.net> 0.3.6-2
- Fixed permissions

* Mon Apr 24 2006 Andreas Thienemann <andreas@bawue.net> 0.3.6-1
- Initial FE package
